/*----------------------------------------------------------------------
  File Name          : AD7478_IO.h 
  Author             : Neil Zhao - CAST
  Version            : V1.0
  Date               : 20/7/2009
  Description        : AD7478 Driver Declaration

  The AD7478 is  8-bit, high speed, low power, 
  successive approximation ADC.

----------------------------------------------------------------------

  The present firmware which is for guidance only aims at providing
  customers with coding information regarding their products in order
  for them to save time.  As a result, Analog Devices shall not be
  held liable for any direct, indirect or consequential damages with
  respect to any claims arising from the content of such firmware and/or
  the use made by customers of the coding information contained herein
  in connection with their products.

----------------------------------------------------------------------*/

//---------------------------------
//void ReadFromAD7478(unsigned char count,unsigned char *buf);
//---------------------------------
//Function that reads from the AD7478 via the SPI port. 
//-------------------------------------------------------------------------
void ReadFromAD7478(unsigned char *buf);
void delay (int length);
//---------------------------------
//EnablePowerUp()
//---------------------------------
//Function that makes AD7478 into PowerUp Mode. 
//-------------------------------------------------------------------------
void EnablePowerUp(void);
//---------------------------------
//EnablePowerDown()
//---------------------------------
//Function that makes AD7478 into PowerDown Mode. 
//--------------------------------------------------------------------------
void EnablePowerDown(void);
